Subject: bug#12923: 24.2; epa-file--find-file-not-found-function: Opening input file: Can't decrypt, Exit

From: Daiki Ueno <[email-masked]>
Date: Tue, 20 Nov 2012 16:32:35 +0900

Oleksandr Gavenko <[email-masked]> writes:

> When I try open any .gpg files I get error:

Correction: "open existing, not encrypted .gpg files"

> Root of issue come from Emacs call:
>
>   $ gpg "--no-tty" "--status-fd" "1" "--yes" "--enable-progress-filter" \
>   "--command-fd" "0" "--output" "/tmp/epg-output3999nru" \
>   "--decrypt" "--" "/home/user/.gnupg/pubring.gpg"

> So this error occur on opening files with '.gpg' extension.

So what do you want instead?  I think you get a similar error when
opening a .tar.gz file which is not a gzip compressed tar archive.

If you want to edit the binary contents, you can use M-x
find-file-literally.  If you want to browse your keyring, you can use
M-x epa-list-keys.